Files
Get file content
Returns the extracted text content of the file as plain text.
GET
/v1/files/{file_id}Authorization
APIKeyHeader api-key<token>
In: header
Path Parameters
file_id*File Id
Format
uuidHeader Parameters
user-id*User-Id
ID of the end user the file belongs to.
Match
^[A-Za-z0-9._\-@:]+$Length
length <= 255Response Body
text/plain
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/files/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "user-id: string""string"{ "error_code": "attachment_document_raised_an_error", "detail": "The file attachment service has raised an error. Please try again later"}{ "error_code": "unauthorized", "detail": "Missing or invalid API key"}{ "error_code": "attachment_access_forbidden", "detail": "You do not have permission to access this attachment."}{ "error_code": "attachment_document_does_not_exist", "detail": "Document with `file_id` is not available for the user with `user_id` on the document server."}{ "error_code": "conflict", "detail": "Conflict - File is infected with a virus or it's still being processed"}{ "error_code": "attachment_url_invalid", "detail": "The provided base_url is not valid."}{ "message": "Rate limit exceeded!"}{ "error_code": "internal_server_error", "detail": "Internal Server Error"}{ "error_code": "attachment_document_not_reachable", "detail": "The file attachment service does not respond as expected. Please try again later."}